Bug 1289325 - systemd pidfile wrong
systemd pidfile wrong
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: perdition (Show other bugs)
epel7
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-07 16:11 EST by Joe Pruett
Modified: 2016-12-11 06:21 EST (History)
1 user (show)

See Also:
Fixed In Version: perdition-2.1-5.fc23 perdition-2.1-5.fc22 perdition-2.1-5.el7 perdition-2.1-7.fc25 perdition-2.1-7.fc24 perdition-2.1-7.el7 perdition-2.1-7.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-10 19:26:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Pruett 2015-12-07 16:11:35 EST
Description of problem:
the systemd config files have the wrong paths for the various pidfiles and so systemd thinks the service hasn't started properly and thus kills the daemon after a short period of time.

Version-Release number of selected component (if applicable):
perdition-2.1-2.el7.x86_64

How reproducible:
try to start any perdition service with systemctl start. it will hang and eventually exit with a failure

Steps to Reproduce:
1. systemctl start perdition-imap4
2.
3.

Actual results:
systemctl hangs and eventually kills perdition daemon and exits with failure

Expected results:
perdition daemon running and systemd happy.

Additional info:
each perdition daemon has it's own subdir for pid storage. for example, the perdition-imap4.service file should have:

PIDFile=/var/run/perdition.imap4/perdition.imap4.pid
Comment 1 Fedora Update System 2016-01-06 09:07:25 EST
perdition-2.1-5.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c46b069e6f
Comment 2 Fedora Update System 2016-01-06 09:07:34 EST
perdition-2.1-5.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f4e06ec511
Comment 3 Pavel Alexeev 2016-01-06 09:08:15 EST
Thank you very much for the bugreport and willing make free software better.
Comment 4 Fedora Update System 2016-01-06 09:17:42 EST
perdition-2.1-5.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-1577b988e4
Comment 5 Fedora Update System 2016-01-06 22:51:11 EST
perdition-2.1-5.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-1577b988e4
Comment 6 Fedora Update System 2016-01-06 23:53:51 EST
perdition-2.1-5.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c46b069e6f
Comment 7 Fedora Update System 2016-01-07 00:24:01 EST
perdition-2.1-5.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f4e06ec511
Comment 8 Fedora Update System 2016-01-19 18:29:00 EST
perdition-2.1-5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2016-01-19 18:56:20 EST
perdition-2.1-5.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2016-01-24 20:30:15 EST
perdition-2.1-5.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Joe Pruett 2016-01-25 16:25:45 EST
i just downloaded the el7 perdition 2.1.5 and the systemd files still have the wrong path names in them.
Comment 12 Pavel Alexeev 2016-08-16 17:15:40 EDT
Hm, you are right...
Comment 13 Fedora Update System 2016-08-16 18:54:52 EDT
perdition-2.1-7.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a1723c6b5c
Comment 14 Fedora Update System 2016-08-17 04:19:41 EDT
perdition-2.1-7.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0a79fbf4ad
Comment 15 Fedora Update System 2016-08-17 05:36:33 EDT
perdition-2.1-7.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-738f1073dd
Comment 16 Fedora Update System 2016-08-17 05:36:43 EDT
perdition-2.1-7.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a245ce48c1
Comment 17 Fedora Update System 2016-08-17 15:53:45 EDT
perdition-2.1-7.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0a79fbf4ad
Comment 18 Fedora Update System 2016-08-17 21:51:19 EDT
perdition-2.1-7.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a245ce48c1
Comment 19 Fedora Update System 2016-08-17 21:52:10 EDT
perdition-2.1-7.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a1723c6b5c
Comment 20 Fedora Update System 2016-08-18 00:18:59 EDT
perdition-2.1-7.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-738f1073dd
Comment 21 Fedora Update System 2016-12-10 19:26:52 EST
perdition-2.1-7.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2016-12-10 21:22:34 EST
perdition-2.1-7.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2016-12-10 23:49:28 EST
perdition-2.1-7.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2016-12-11 06:21:18 EST
perdition-2.1-7.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.